package fi.jyu.intellij.comtest.idea.actions

import com.intellij.openapi.actionSystem.ActionGroup
import com.intellij.openapi.actionSystem.AnAction
import com.intellij.openapi.actionSystem.AnActionEvent
import com.intellij.openapi.actionSystem.CommonDataKeys
import com.intellij.psi.PsiJavaFile

@Suppress("ComponentNotRegistered", "MissingActionUpdateThread")
class ComTestJavaFileEditorPopupActionGroup : ActionGroup() {
    override fun getChildren(e: AnActionEvent?): Array<AnAction> {
        if (e?.getData(CommonDataKeys.PSI_FILE) !is PsiJavaFile) return arrayOf()

        return arrayOf(
            ComTestGenerateJavaFileRunAction().apply {
                templatePresentation.text = "Run in Current File"
            },
            ComTestGenerateJavaFileDebugAction().apply {
                templatePresentation.text = "Debug in Current File"
            }
        )
    }

    override fun update(e: AnActionEvent) {
        super.update(e)
        e.presentation.isVisible = e.getData(CommonDataKeys.PSI_FILE) is PsiJavaFile
    }
}